commit:     22b2fb41302f3cab094fa308a7f389149b4b5097
Author:     Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 20 18:03:25 2021 +0000
Commit:     Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
CommitDate: Fri Aug 20 18:03:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22b2fb41

dev-libs/pkcs11-helper: bump + fix build with new nss

Closes: https://bugs.gentoo.org/794790
Package-Manager: Portage-3.0.22, Repoman-3.0.1
Signed-off-by: Vadim Misbakh-Soloviov <mva <AT> gentoo.org>

 dev-libs/pkcs11-helper/Manifest                    |  1 +
 .../files/pkcs11-helper-1.27.0-nss.patch           | 14 +++++++
 dev-libs/pkcs11-helper/pkcs11-helper-1.27.0.ebuild | 47 ++++++++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/dev-libs/pkcs11-helper/Manifest b/dev-libs/pkcs11-helper/Manifest
index c1231def323..cd9a73bdc0e 100644
--- a/dev-libs/pkcs11-helper/Manifest
+++ b/dev-libs/pkcs11-helper/Manifest
@@ -1 +1,2 @@
 DIST pkcs11-helper-1.25.1.tar.bz2 425719 BLAKE2B 
527b387a981dbfd855d4eb0024dd7625388cda27c3a0e993b49315e311d46f1735afc8d436361ac1b75a7b3d7f1f712d7dda8eb546ab7adc3dc046bc85fd4c5a
 SHA512 
a5954f4d07a166ed7e711b7a0aa84b454b25774b2fb187ca65bba439f59539c8074bda8ddd5f579d635fe0dc27d8415d8bd22707dc91327bbe05ce03e277b499
+DIST pkcs11-helper-1.27.0.tar.bz2 422425 BLAKE2B 
a9fd7ef04dce1abbae57b09a12b4be560465ae0cf2910443332882967d00b6380c62944820aa9580e101459d1c35edaae68cd7abbafa308a8b152921ac32f04c
 SHA512 
5799342cb755dae8b7ba0880d652e9d4b4f1e52a74043015e1185e1e059326cb2689bb51957db98060ac2257dee34e2f047dcf3d52ad59fd49b91fedcfc5332b

diff --git a/dev-libs/pkcs11-helper/files/pkcs11-helper-1.27.0-nss.patch 
b/dev-libs/pkcs11-helper/files/pkcs11-helper-1.27.0-nss.patch
new file mode 100644
index 00000000000..a283121b811
--- /dev/null
+++ b/dev-libs/pkcs11-helper/files/pkcs11-helper-1.27.0-nss.patch
@@ -0,0 +1,14 @@
+--- pkcs11-helper-1.27.0/include/pkcs11-helper-1.0/pkcs11.h.orig       
2020-11-17 19:38:56.000000000 +0100
++++ pkcs11-helper-1.27.0/include/pkcs11-helper-1.0/pkcs11.h    2021-06-12 
20:53:07.127234688 +0200
+@@ -1262,6 +1262,11 @@
+ 
+ #define NULL_PTR NULL
+ 
++typedef CK_RV (*CK_NSS_GetFIPSStatus)(CK_SESSION_HANDLE hSession,
++                                      CK_OBJECT_HANDLE hObject,
++                                      CK_ULONG ulOperationType,
++                                      CK_ULONG *pulFIPSStatus);
++
+ /* Delete the helper macros defined at the top of the file.  */
+ #undef ck_flags_t
+ #undef ck_version

diff --git a/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0.ebuild 
b/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0.ebuild
new file mode 100644
index 00000000000..83f7f2e9921
--- /dev/null
+++ b/dev-libs/pkcs11-helper/pkcs11-helper-1.27.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="PKCS#11 helper library"
+HOMEPAGE="https://github.com/OpenSC/pkcs11-helper";
+
+if [[ $(ver_cut 3) -eq 0 ]]; then
+       MY_PV=$(ver_cut 1-2)
+else
+       MY_PV=${PV}
+fi
+
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${PN}-${MY_PV}/${P}.tar.bz2";
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="bindist doc gnutls nss static-libs"
+
+RDEPEND="
+       >=dev-libs/openssl-0.9.7:0=[bindist(-)=]
+       gnutls? ( >=net-libs/gnutls-1.4.4 )
+       nss? ( dev-libs/nss )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       doc? ( >=app-doc/doxygen-1.4.7 )"
+
+PATCHES=(
+       "${FILESDIR}/${P}-nss.patch"
+)
+
+src_configure() {
+       econf \
+               --disable-crypto-engine-polarssl \
+               --disable-crypto-engine-mbedtls \
+               $(use_enable doc) \
+               $(use_enable gnutls crypto-engine-gnutls) \
+               $(use_enable nss crypto-engine-nss) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to